#pragma once

#include <json-c/json.h>

#include "file.h"
#include "../COMMON.h"

void json_object_init(json_object** self, const char* path, char* buffer, size_t size);
void json_object_f64_parse(json_object** self, const char* key, f64* value);
void json_object_string_parse(json_object** self, const char* key, char* value, size_t size);
void json_object_s32_parse(json_object** self, const char* key, s32* value);
